summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson2018-10-30 05:58:01 +0100
committer Willy Sudiarto Raharjo2018-11-03 01:46:57 +0100
commit0db029d9a999298aca6ff6c62fc11a9b5ee0c036 (patch)
treebca8d35591e9b5daba01cb669db41411813708e1 /audio
parentde86cfbf49af56bc677e99c1a8577f026fd8749f (diff)
downloadslackbuilds-0db029d9a999298aca6ff6c62fc11a9b5ee0c036.tar.gz
audio/mhwaveedit: Updated for version 1.4.24, new maintainer.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'audio')
-rw-r--r--audio/mhwaveedit/README25
-rw-r--r--audio/mhwaveedit/intbox.diff10
-rw-r--r--audio/mhwaveedit/mhwaveedit.SlackBuild68
-rw-r--r--audio/mhwaveedit/mhwaveedit.desktop2
-rw-r--r--audio/mhwaveedit/mhwaveedit.info10
-rw-r--r--audio/mhwaveedit/setcap.sh1
6 files changed, 67 insertions, 49 deletions
diff --git a/audio/mhwaveedit/README b/audio/mhwaveedit/README
index 4a5ec4e666..47200ffa46 100644
--- a/audio/mhwaveedit/README
+++ b/audio/mhwaveedit/README
@@ -1,11 +1,20 @@
+mhwaveedit (edit, play, and record sound files)
+
mhWaveEdit is a graphical program for editing, playing, and recording
-sound files. It is lightweight, portable, user-friendly, and handles
-large files very well.
+sound files. It is lightweight, portable, user-friendly, and handles
+large files very well.
+
+The program itself has only simple editing features such as cut'n'paste
+and volume adjustment, but it can also use Ladspa effect plugins and
+the effects provided by the SoX application. It can also support
+additional file formats besides wav through libsndfile and mp3/ogg
+import and export through lame and oggenc/oggdec.
-The program itself has only simple editing features such as cut'n'paste
-and volume adjustment, but it can also use Ladspa effect plugins and
-the effects provided by the SoX application. It can also support
-additional file formats besides wav through libsndfile and mp3/ogg
-import and export through lame and oggenc/oggdec.
+lame, jack-audio-connection-kit[*], and portaudio are optional dependencies.
-lame, jack, and portaudio are optional dependencies.
+[*] If jack-audio-connection-kit support is included, this package uses
+ POSIX filesystem capabilities to execute with elevated privileges
+ (required for realtime audio processing). This may be considered a
+ security/stability risk. Please read http://www.slackbuilds.org/caps/
+ for more information. To disable capabilities, pass SETCAP=no to
+ the script.
diff --git a/audio/mhwaveedit/intbox.diff b/audio/mhwaveedit/intbox.diff
deleted file mode 100644
index b5f74eafb9..0000000000
--- a/audio/mhwaveedit/intbox.diff
+++ /dev/null
@@ -1,10 +0,0 @@
---- src/sound-pulse.c.orig 2016-06-11 13:52:03.000000000 +0200
-+++ src/sound-pulse.c 2016-06-11 13:50:39.000000000 +0200
-@@ -21,6 +21,7 @@
-
- #include <poll.h>
- #include <pulse/pulseaudio.h>
-+#include "int_box.h"
-
- #ifndef PA_CHECK_VERSION
- #define PA_CHECK_VERSION(a,b,c) (0)
diff --git a/audio/mhwaveedit/mhwaveedit.SlackBuild b/audio/mhwaveedit/mhwaveedit.SlackBuild
index f19a39ad0f..96a259c7d3 100644
--- a/audio/mhwaveedit/mhwaveedit.SlackBuild
+++ b/audio/mhwaveedit/mhwaveedit.SlackBuild
@@ -2,16 +2,27 @@
# Slackware build script for mhwaveedit
# Written by Felix Krueger
-# contact: flex[dot]krueger[at]googlemail[dot]com
+
+# Now maintained by B. Watson <yalhcru@gmail.com>. Original script
+# had no license. Modified version licensed under the WTFPL. See
+# http://www.wtfpl.net/txt/copying/ for details.
+
+# 20181022 bkw:
+# - Take over maintenance.
+# - Update for v1.4.24. Incompatible changes, can't build old version.
+# - Add PULSE and OSS env vars.
+# - If JACK support is built-in, do the realtime stuff.
+# - Minor script cleanups.
+# - Don't install the install directions in docdir.
PRGNAM=mhwaveedit
-VERSION=${VERSION:-1.4.23}
+VERSION=${VERSION:-1.4.24}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -23,7 +34,7 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -36,26 +47,31 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
-# Fix "unknown type name 'Intbox'"
-patch -p0 < $CWD/intbox.diff
+# 20181023 bkw: environment variables to control the build options.
+MIXER="${MIXER:-xterm -e alsamixer}"
+PULSE="${PULSE:-yes}"
+OSS="${OSS:-no}"
+
+[ "$PULSE" = "no" ] && EXTRAOPTS="$EXTRAOPTS --without-pulse"
+[ "$OSS" = "no" ] && EXTRAOPTS="$EXTRAOPTS --without-oss"
CFLAGS="$SLKCFLAGS" \
./configure \
+ --with-default-mixerapp="$MIXER" \
+ $EXTRAOPTS \
+ --with-default-ladspa-path=/usr/lib$LIBDIRSUFFIX/ladspa \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
@@ -69,27 +85,29 @@ CFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+strip $PKG/usr/bin/$PRGNAM
+gzip $PKG/usr/man/man1/$PRGNAM.1
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-
-mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-
-mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps
-cat $CWD/$PRGNAM.png > $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
+ln -s ../icons/hicolor/64x64/apps/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
+# realtime audio stuff only if JACK support included.
+if ldd $PKG/usr/bin/$PRGNAM | grep -q libjack; then
+ if [ "${SETCAP:-yes}" = "yes" ]; then
+ cat $CWD/setcap.sh >> $PKG/install/doinst.sh
+ chown root:audio $PKG/usr/bin/$PRGNAM
+ chmod 0750 $PKG/usr/bin/$PRGNAM
+ fi
+fi
+
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mhwaveedit/mhwaveedit.desktop b/audio/mhwaveedit/mhwaveedit.desktop
index 989f882b7d..42bd6863ba 100644
--- a/audio/mhwaveedit/mhwaveedit.desktop
+++ b/audio/mhwaveedit/mhwaveedit.desktop
@@ -3,7 +3,7 @@ Version=1.0
Name=mhWaveEdit
Comment=Record, play, and edit audio files in wav, ogg, and mp3
Icon=mhwaveedit
-Exec=mhwaveedit --driver alsa
+Exec=mhwaveedit
Terminal=false
Type=Application
Categories=AudioVideo;
diff --git a/audio/mhwaveedit/mhwaveedit.info b/audio/mhwaveedit/mhwaveedit.info
index 331fbd740f..8c12c5b9fc 100644
--- a/audio/mhwaveedit/mhwaveedit.info
+++ b/audio/mhwaveedit/mhwaveedit.info
@@ -1,10 +1,10 @@
PRGNAM="mhwaveedit"
-VERSION="1.4.23"
+VERSION="1.4.24"
HOMEPAGE="https://github.com/magnush/mhwaveedit"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/mhwaveedit-1.4.23.tar.bz2"
-MD5SUM="72d12ebdd38777ba597db0cf6158ceef"
+DOWNLOAD="https://github.com/magnush/mhwaveedit/archive/v1.4.24/mhwaveedit-1.4.24.tar.gz"
+MD5SUM="6b305c03888612083df9f8b189c0ce27"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Felix Krueger"
-EMAIL="flex[dot]krueger[at]googlemail[dot]com"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/mhwaveedit/setcap.sh b/audio/mhwaveedit/setcap.sh
new file mode 100644
index 0000000000..08997f0af1
--- /dev/null
+++ b/audio/mhwaveedit/setcap.sh
@@ -0,0 +1 @@
+[ -x /sbin/setcap ] && /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/mhwaveedit